Loading...
Searching...
No Matches
Ogre::ConfigDialog Class Referenceabstract
Core » General

Defines the behaviour of an automatic renderer configuration dialog. More...

`#include <OgreConfigDialog.h>`

Inheritance diagram for Ogre::ConfigDialog:
[legend]

## Public Member Functions

virtual | ~ConfigDialog ()
virtual bool | display ()=0
| Displays the dialog.

## Detailed Description

Defines the behaviour of an automatic renderer configuration dialog.

## Constructor & Destructor Documentation

## ~ConfigDialog()

virtual Ogre::ConfigDialog::~ConfigDialog | ( |  | ) |

inline virtual

## Member Function Documentation

## display()

virtual bool Ogre::ConfigDialog::display | ( |  | ) |

pure virtual

Displays the dialog.

This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog.

Returns
  If the user accepted the dialog, true is returned.

  If the user cancelled the dialog (indicating the application should probably terminate), false is returned.

See also
  RenderSystem

The documentation for this class was generated from the following file:

- OgreConfigDialog.h